This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 906192 - (CVE-2012-6118) CVE-2012-6118 Aeolus Conductor: Unprivileged user can change their own Maximum Running Instances quota
CVE-2012-6118 Aeolus Conductor: Unprivileged user can change their own Maximu...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130221,repor...
: Security
Depends On: 885112 896209
Blocks: 906194 906635
  Show dependency treegraph
 
Reported: 2013-01-31 00:52 EST by Kurt Seifried
Modified: 2016-02-15 08:45 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 01:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-01-31 00:52:48 EST
*** Reported by Tomas Sedovic to the private aeolus-security mailing list ***

Tomas Sedovic discovered a security issue with Aeolus Conductor. Tested on master (e4d068b8d97906bf073dc20cbff895a10c3151e1).

An unprivileged user is able to change their Maximum Running Instances
quota on their user account page.

Steps to reproduce:
1. As an admin, create a new user "John Doe" with default permissions and quota 3
2. Logout
3. Log in as the newly created user
4. Select the "Administer" tab
5. Press the "Edit" button below Username
6. Verify that "Maximum Running Instances" quota is set to "3"
7. Change the quota to 10000
8. Press "Update User"

Expected: the quota will remain "3"
Actual: jdoe's quota is now set to "10000"

That the change is real can be verified by logging as an Admin again and going to the Users page.
Comment 1 Murray McAllister 2013-02-17 04:16:48 EST
Acknowledgements:

This issue was discovered by Tomas Sedovic of Red Hat.
Comment 2 errata-xmlrpc 2013-02-21 14:08:52 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2013:0545 https://rhn.redhat.com/errata/RHSA-2013-0545.html
Comment 3 Kurt Seifried 2013-07-26 02:22:37 EDT
The Red Hat Security Response Team has rated this issue as having moderate security impact in CloudForms 1.1. This issue is not currently planned to be addressed in future updates.

Note You need to log in before you can comment on or make changes to this bug.